{
    "name": "laravel/laravel",
    "type": "project",
    "description": "The Laravel Framework.",
    "keywords": ["framework", "laravel"],
    "license": "MIT",
    "require": {
        "php": "^8.2",
        "ackintosh/ganesha": "^3.1",
        "doctrine/dbal": "^3.1",
        "ensi/guzzle-multibyte": "^0.2.0",
        "ensi/laravel-ensi-filesystem": "^0.4.0",
        "ensi/laravel-initial-event-propagation": "^0.3.0",
        "ensi/laravel-metrics": "^1.0.0",
        "ensi/laravel-phprdkafka": "^0.4.0",
        "ensi/laravel-phprdkafka-consumer": "^2.0.0",
        "ensi/laravel-phprdkafka-producer": "^0.4.0",
        "ensi/laravel-query-builder-helpers": "^0.1.0",
        "ensi/laravel-serve-stoplight": "^0.2.0",
        "ensi/laravel-stdout-logs-helper": "^0.4.0",
        "ensi/octane-swoole-urgent-starter": "^2.0.0",
        "guzzlehttp/guzzle": "^7.2",
        "laravel/framework": "^11.0",
        "laravel/octane": "^2.3",
        "laravel/tinker": "^2.7",
        "spatie/laravel-query-builder": "^5.0"
    },
    "require-dev": {
        "barryvdh/laravel-ide-helper": "^3.0",
        "beyondcode/laravel-dump-server": "^2.0",
        "ensi/laravel-openapi-client-generator": "^0.14.0",
        "ensi/laravel-openapi-server-generator": "^4.0.0",
        "ensi/laravel-openapi-testing": "^0.4.0",
        "ensi/laravel-test-factories": "^1.0.0",
        "ensi/openapi-client-generator-php-templates": "^0.2",
        "ensi/openapi-server-generator-templates": "^3.0",
        "fakerphp/faker": "^1.9.1",
        "friendsofphp/php-cs-fixer": "^3.2",
        "larastan/larastan": "^2.0",
        "mockery/mockery": "^1.4.4",
        "nunomaduro/collision": "^8.1",
        "pestphp/pest": "^2.0",
        "pestphp/pest-plugin-laravel": "^2.0",
        "phpstan/extension-installer": "^1.2.0",
        "spatie/laravel-ignition": "^2.0",
        "spaze/phpstan-disallowed-calls": "^2.0",
        "worksome/envy": "^1.0"
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "repositories": [
        {
            "type": "vcs",
            "url": "https://gitlab.com/greensight/ensi/packages/laravel-ensi-filesystem.git"
        },
        {
            "type": "vcs",
            "url": "https://gitlab.com/greensight/ensi/packages/openapi-client-generator-php-templates.git"
        },
        {
            "type": "vcs",
            "url": "https://gitlab.com/greensight/ensi/packages/openapi-server-generator-templates.git"
        }
    ],
    "scripts": {
        "check-env-example": "php artisan envy:sync --dry && php artisan envy:prune --dry",
        "cs": "php-cs-fixer fix --config .php-cs-fixer.php",
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-update-cmd": [
            "@php artisan vendor:publish --tag=laravel-assets --ansi --force"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ],
        "phpstan": "phpstan analyse",
        "test": "php artisan test --parallel",
        "test-coverage": "XDEBUG_MODE=coverage php artisan test --parallel --coverage",
        "test-ci": "php artisan test --parallel"
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "config": {
        "platform": {
            "php": "8.2"
        },
        "platform-check": false,
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true,
        "allow-plugins": {
            "composer/package-versions-deprecated": true,
            "pestphp/pest-plugin": true,
            "phpstan/extension-installer": true
        }
    },
    "minimum-stability": "dev",
    "prefer-stable": true
}
